Skip to main content
`Ctrl`+`K`

# MatNormEstimate

Estimate the 2-norm of a matrix.

## Synopsis

    #include "slepcsys.h"
    PetscErrorCode MatNormEstimate(Mat A,Vec vrn,Vec w,PetscReal *nrm)

Collective

## Input Parameters

- A - the matrix

- vrn - random vector with normally distributed entries (can be `NULL`)

- w - workspace vector (can be `NULL`)

## Output Parameter

- nrm - the norm estimate

## Notes

Does not need access to the matrix entries, just performs a matrix-vector product. Based on work by I. Ipsen and coworkers https://ipsen.math.ncsu.edu/ps/slides_ima.pdf.

The input vector `vrn` must have unit 2-norm. If `vrn` is `NULL`, then it is created internally and filled with `VecSetRandomNormal()`.

## See Also

`VecSetRandomNormal()`

## Level

developer

## Location

src/sys/mat/matutil.c

Index of all Sys routines Table of Contents for all manual pages Index of all manual pages